Bug 180579 - postfix does not include support for postgresql
postfix does not include support for postgresql
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
7
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-09 00:03 EST by Ben
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: 2.4.3-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 11:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch which allows conditional build of Postgres table support (795 bytes, patch)
2006-03-13 12:59 EST, David Hollis
no flags Details | Diff

  None (edit)
Description Ben 2006-02-09 00:03:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1

Description of problem:
The postfix package does not have any support for postgres. It would be nice if it, or perhaps a supplimental or seperate package, did have a postfix binary with this compile flag set. 

Version-Release number of selected component (if applicable):
2.2.2-2

How reproducible:
Always

Steps to Reproduce:
1. Install postfix-2.2.2-2
2. Try to use a config that depends on postfix's postgres support
3. See it not work.
  

Additional info:
Comment 1 David Hollis 2006-03-13 12:59:38 EST
Created attachment 126058 [details]
Patch which allows conditional build of Postgres table support

This patch adds conditional support to the Postfix RPM enabling Postgres table
lookup support.  It's just a simple copy of the existing code adding MySQL
support.

The obvious next step would be to enable MySQL and/or PostgreSQL support by
default, though that could be a long ugly dependency chain that folks don't
want to endure.
Comment 2 Mike A. Harris 2006-12-07 15:12:18 EST
Seems like a reasonable feature request unless there are serious known issues.

Thomas, any comments?
Comment 3 Christian Iseli 2007-01-22 05:41:05 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 David J Craigon 2007-03-01 11:57:40 EST
Patch works for me on Fedora 7 Test 1, using RPM postfix-2.3.6-1 from Rawhide.
Comment 5 Fedora Update System 2007-06-14 11:47:14 EDT
postfix-2.4.3-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.